package com.huimv.admin;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication
@MapperScan("com.huimv.admin.mapper")
@EnableScheduling
//@EnableDiscoveryClient
public class HuimvAdminApplication {
    public static void main(String[] args) {
        SpringApplication.run(HuimvAdminApplication.class, args);
    }
    @Bean
    public static RestTemplate getRestTemplate(){
        return new RestTemplate();
    }



}
