package com.huimv.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 环保阈值
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("prot_threshold")
public class ProtThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 1进污口 2处理口 3排污口
     */
    private Integer protType;

    private String cod1;

    private String cod2;

    /**
     * PH 低值
     */
    private String ph1;

    /**
     * PH 高值
     */
    private String ph2;

    private String Nh3n1;

    private String Nh3n2;

    private String tp1;

    private String tp2;

    private String tn1;

    private String tn2;

    private String flow1;

    /**
     * 流量
     */
    private String flow2;

    private String userIds;

    private Integer farmId;

    private String dataType;

    private String other2;

    private String other3;


}
