package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.EnergyData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.admin.entity.vo.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 耗能数据 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface EnergyDataMapper extends BaseMapper<EnergyData> {

    List<EnergyGasDataVo> listYear(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyFeedDataVo> listYear2(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyWaterDataVo> listYear3(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyElectricityDataVo> listYear4(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyGasDataVo> listDay(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyFeedDataVo> listDay2(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyWaterDataVo> listDay3(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    List<EnergyElectricityDataVo> listDay4(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);

    EnergyDataVo listCount(@Param(Constants.WRAPPER) QueryWrapper<EnergyData> queryWrapper);
}
