package com.huimv.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.admin.entity.ProtData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-14
 */
@Repository
public interface ProtDataMapper extends BaseMapper<ProtData> {
    List<ProtData> listPh(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProtData> listCod(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProtData> listNh3n(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProtData> listTp(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProtData> listTn(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
    List<ProtData> listFlow(@Param(Constants.WRAPPER) QueryWrapper<ProtData> queryWrapper);
}
